/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.molecular.editor.e4.handler;


import javax.inject.Named;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.ui.basic.MPart;
import org.eclipse.e4.ui.services.IServiceConstants;

import eu.etaxonomy.taxeditor.molecular.editor.e4.PherogramPartE4;



/**
 * Switches between the quality output types available for components displaying pherograms.
 *
 * @author Ben Stöver
 * @date 19.06.2015
 */
public class ChangePherogramQualityOutputTypeE4 {

    @Execute
    public void doExecute(@Named(IServiceConstants.ACTIVE_PART)MPart activePart) {
        PherogramPartE4 pherogramPart = (PherogramPartE4) activePart.getObject();
        pherogramPart.getPherogramView().getTraceCurveView().getFormats().changeQualityOutputType();
    }
}
