/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.molecular.editor.e4.handler;


import javax.inject.Named;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.ui.basic.MPart;
import org.eclipse.e4.ui.services.IServiceConstants;

import eu.etaxonomy.taxeditor.molecular.editor.e4.AlignmentEditorE4;




/**
 * Reverse complements the single read sequence in an active {@link AlignmentEditorE4}, where the alignment cursor
 * is currently located.
 *
 * @author Ben Stöver
 */
public class ReverseComplementHandlerE4 {

    @Execute
    public void execute(@Named(IServiceConstants.ACTIVE_PART)MPart activePart) {
        AlignmentEditorE4 editor = (AlignmentEditorE4) activePart.getObject();
        editor.reverseComplementSelectedSequences();
    }
}
