/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.molecular.handler;


import java.net.URL;

import org.eclipse.core.runtime.FileLocator;
import org.eclipse.core.runtime.Path;
import org.eclipse.jface.resource.ImageDescriptor;

import eu.etaxonomy.taxeditor.model.AbstractUtility;
import eu.etaxonomy.taxeditor.molecular.TaxeditorMolecularPlugin;
import eu.etaxonomy.taxeditor.molecular.editor.e4.AlignmentEditorE4;
import eu.etaxonomy.taxeditor.molecular.l10n.Messages;



/**
 * Implements shared functionality for handler implementations using tool bar icons.
 *
 * @author Ben Stöver
 * @date 15.06.2015
 */
public class HandlerTools {  //TODO Move this class or method somewhere else?
    public static ImageDescriptor createImageDescriptor(String iconName) {
        URL url = FileLocator.find(TaxeditorMolecularPlugin.getDefault().getBundle(),
                new Path("icons/" + iconName), null); //$NON-NLS-1$
        if (url != null) {
            return ImageDescriptor.createFromURL(url);
        }
        else {
            throw new InternalError(String.format(Messages.HandlerTools_COULD_NOT_LOAD_ICON, iconName));  //TODO Throw other type of exception?
        }
    }
    public static AlignmentEditorE4 getActiveAlignmentEditor() {
        Object activeEditor = AbstractUtility.getActiveEditor();
        if (activeEditor instanceof AlignmentEditorE4) {
            return (AlignmentEditorE4)activeEditor;
        }
        else {
            return null;
        }
    }
}
