// $Id$
/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.molecular.io.wizard;


import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.taxeditor.molecular.l10n.Messages;



/**
 * A wizard to export a single read alignment from <i>CDM</i> using <i>JPhyloIO</i>.
 *
 * @author Ben Stöver
 * @date 23.06.2016
 */
public class ExportSingleReadAlignmentWizard extends Wizard {
    private ExportSingleReadAlignmentWizardModel model = new ExportSingleReadAlignmentWizardModel();

    private ExportSingleReadAlignmentFileFormatPage fileFormatPage;
    private ExportSingleReadAlignmentOptionsPage optionsPage;


    public ExportSingleReadAlignmentWizard() {
        setWindowTitle(Messages.ExportSingleReadAlignmentWizard_EXPORT_SINGLE_READ);  //TODO Use multi language message
    }


    public ExportSingleReadAlignmentWizardModel getModel() {
        return model;
    }


    @Override
    public void addPages() {
        fileFormatPage = new ExportSingleReadAlignmentFileFormatPage();
        optionsPage = new ExportSingleReadAlignmentOptionsPage();

        addPage(fileFormatPage);
        addPage(optionsPage);
    }


    @Override
    public boolean performFinish() {
        return true;
        //TODO Add default extension to file, if necessary?
    }
}
